resource_rules:
  issues:
    rules:
      - name: Add  ~"rd-workflow::unprioritized" to any issue that has the ~"Category:Remote Development" label and does not have any existing "rd-workflow::*" labels
        conditions:
          state: opened
          labels:
            - "Category:Remote Development"
          forbidden_labels:
            - "rd-workflow::unprioritized"
            - "rd-workflow::prioritized"
            - "rd-workflow::done"
        actions:
          labels:
            - rd-workflow::unprioritized
      - name: Issues with a specific milestone but do not have the ~"rd-workflow::prioritized" label should have the milestone automatically set back to %"Next 1-3 releases"
        conditions:
          state: opened
          labels:
            - "Category:Remote Development"
          forbidden_labels:
            - rd-workflow::prioritized
          milestone: any
          ruby: milestone.title.match?(/\A\d+\.\d+\z/)
        actions:
          comment: |
            {{author}} this issue had a specific milestone but did not have the ~"rd-workflow::prioritized" label, so the milestone has been set back to %"Next 1-3 releases".

            /milestone %"Next 1-3 releases"
      - name: Issues with a specific milestone but no weight should have the milestone automatically set back to %"Next 1-3 releases"
        conditions:
          state: opened
          labels:
            - "Category:Remote Development"
          milestone: any
          ruby: milestone.title.match?(/\A\d+\.\d+\z/)
          weight: none
        actions:
          comment: |
            {{author}} this issue had a specific milestone but did not have a weight, so the milestone has been set back to %"Next 1-3 releases".

            /milestone %"Next 1-3 releases"
      - name: Issues with a specific milestone but no iteration should have the milestone automatically set back to %"Next 1-3 releases"
        conditions:
          state: opened
          labels:
            - "Category:Remote Development"
          milestone: any
          ruby: milestone.title.match?(/\A\d+\.\d+\z/)
          iteration: none
        actions:
          comment: |
            {{author}} this issue had a specific milestone but did not have a iteration, so the milestone has been set back to %"Next 1-3 releases".

            /milestone %"Next 1-3 releases"
      - name: Unstarted issues with the ~"rd-workflow::prioritized" label that also have the ~"refined" label should get the ~"workflow::ready for development" label assigned
        conditions:
          state: opened
          labels:
            - "Category:Remote Development"
            - "rd-workflow::prioritized"
            - refined
          forbidden_labels:
            - "workflow::ready for development"
        actions:
          comment: |
            {{author}} this unstarted issue with the ~"rd-workflow::prioritized" label also had the ~"refined" label. The ~"workflow::ready for development" label has been applied.
          labels:
            - workflow::ready for development
      - name: Every Issue with the ~"Category:Remote Development" label and that is closed should have the ~"rd-workflow::done" label.
        conditions:
          state: closed
          labels:
            - "Category:Remote Development"
          forbidden_labels:
            - "rd-workflow::done"
        actions:
          comment: |
            {{author}} this issue had the ~"Category:Remote Development" label and was closed. The ~"rd-workflow::done" label has been applied.
          labels:
            - "rd-workflow::done"
      - name: Issues with the ~"rd-workflow::unprioritized" label but with no GitLab workflow label should have the ~"workflow::refinement" label assigned
        conditions:
          state: opened
          labels:
            - "Category:Remote Development"
            - "rd-workflow::unprioritized"
          forbidden_labels:
            # TDOD: We should have a labels filter using a regex to avoid hardcoding these
            - "workflow::awaiting security release"
            - "workflow::blocked"
            - "workflow::complete"
            - "workflow::design"
            - "workflow::feature-flagged"
            - "workflow::in dev"
            - "workflow::in review"
            - "workflow::planning breakdown"
            - "workflow::problem validation"
            - "workflow::production"
            - "workflow::ready for design"
            - "workflow::ready for development"
            - "workflow::refinement"
            - "workflow::scheduling"
            - "workflow::solution validation"
            - "workflow::start"
            - "workflow::validation backlog"
            - "workflow::verification"
            - "workflow::complete"
        actions:
          comment: |
            {{author}} this issue had the ~"rd-workflow::unprioritized" label but no GitLab workflow label. The ~"workflow::refinement" label has been applied.
          labels:
            - workflow::refinement
